#!/bin/bash
# SPDX-Version: 3.0
# SPDX-CreationInfo: 2025-05-05; WEIDNER, Marc S.; <msw@coresecret.dev>
# SPDX-ExternalRef: GIT https://git.coresecret.dev/msw/CISS.debian.live.builder.git
# SPDX-FileContributor: WEIDNER, Marc S.; Centurion Intelligence Consulting Agency
# SPDX-FileCopyrightText: 2024-2025; WEIDNER, Marc S.; <msw@coresecret.dev>
# SPDX-FileType: SOURCE
# SPDX-License-Identifier: EUPL-1.2 OR LicenseRef-CCLA-1.0
# SPDX-LicenseComment: This file is part of the CISS.hardened.installer framework.
# SPDX-PackageName: CISS.debian.live.builder
# SPDX-Security-Contact: security@coresecret.eu

#######################################
# Check and apply 0755 Permissions on every ./config/hooks/live/*.chroot file
# Globals:
#   ERR_UNCRITICAL
#   VAR_WORKDIR
# Arguments:
#  None
#######################################
check_hooks() {
  declare ifs
  ifs=$'\n\t'
  shopt -s nullglob
  declare -a files=("${VAR_WORKDIR}"/config/hooks/live/*.chroot)

  if (( ${#files[@]} == 0 )); then
    printf "\e[91m❌ No '*.chroot' files found in '%s/config/hooks/live'. \e[0m\n" "${VAR_WORKDIR}" >&2
    exit "${ERR_UNCRITICAL}"
  fi

  declare file
  for file in "${files[@]}"; do
    chmod 0755 "${file}"
  done
}
# vim: number et ts=2 sw=2 sts=2 ai tw=128 ft=sh
